Page MenuHomePhabricator

[Regression wmf.13] All kinds of buttons from different panels of Media Settings dialog are appearing at the bottom of the dialog for a split second while editing an image
Closed, ResolvedPublic

Description

Steps to replicate:

  1. Click on the "Edit" button on any image

All kinds of buttons from different panels of Media Settings dialog is appearing at the bottom of the dialog for a split second while editing an image

Here is a screenshot from a video capture:

Details

Related Gerrit Patches:

Event Timeline

Ryasmeen created this task.Jul 17 2018, 9:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2018, 9:07 PM
Ryasmeen added a comment.EditedJul 17 2018, 11:20 PM

Happens on the media search panel too, while inserting an image.

Change 446516 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.ui.MWMediaDialog: Fix confusion between #getSetupProcess and #getReadyProcess

https://gerrit.wikimedia.org/r/446516

Ryasmeen renamed this task from [Regression wmf.13] All kinds of buttons from different panels of Media Settings dialog is appearing at the bottom of the dialog for a split second while editing an image to [Regression wmf.13] All kinds of buttons from different panels of Media Settings dialog are appearing at the bottom of the dialog for a split second while editing an image .Jul 18 2018, 3:28 AM

Change 446516 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.ui.MWMediaDialog: Fix confusion between #getSetupProcess and #getReadyProcess

https://gerrit.wikimedia.org/r/446516

Change 446529 had a related patch set uploaded (by Jforrester; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.13] ve.ui.MWMediaDialog: Fix confusion between #getSetupProcess and #getReadyProcess

https://gerrit.wikimedia.org/r/446529

Deskana triaged this task as High priority.Jul 18 2018, 12:09 PM

Change 446529 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.13] ve.ui.MWMediaDialog: Fix confusion between #getSetupProcess and #getReadyProcess

https://gerrit.wikimedia.org/r/446529

Mentioned in SAL (#wikimedia-operations) [2018-07-18T23:33:02Z] <thcipriani@deploy1001> Synchronized php-1.32.0-wmf.13/extensions/VisualEditor/modules/ve-mw/ui/dialogs/ve.ui.MWMediaDialog.js: SWAT: [[gerrit:446529|ve.ui.MWMediaDialog: Fix confusion between #getSetupProcess and #getReadyProcess]] T185944 T199841 (duration: 00m 56s)

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 30 2018, 3:26 PM